---
categories: ["Examples", "Placeholders"]
tags: ["test","docs"] 
title: "Getting Started"
linkTitle: "Getting Started"
weight: 1
description: >
  How do you set up SelfPrivacy server?
---
Установка и настройка
---------------------

SelfPrivacy сервер создается поэтапно в течение часа. Звучит страшно, но уверяю, учёная степень не понадобится. Процесс не сложнее покупки в интернет-магазине.

*   Поиск паспорта и карты с балансом $10-15 и $5 в месяц
*   Регистрация учётных записей
*   Покупка домена
*   Подключение домена к DNS серверу
*   🔑 Создание ключей
*   Установка
*   Подключение к сервисам 🎉

**Если поручите кому-нибудь эту задачу — лишитесь приватности.** Для 100% независимости и контроля необходимо делать всё самостоятельно.


Регистрация учётных записей
---------------------

Для устойчивости и SelfPrivacy требует много учётных записей, не будем доверять все данные одной компании, лучше распределим части системы по разным местам.

{{% alert title="Защита учётных записей" color="warning" %}}
**Системы взламывают через самое слабое звено.** Чтобы учётные записи не были таким звеном, пароли должны быть разными для каждой учетной записи и сложными. ```MamaMilaRamu```, как ни странно, плохой пароль. Пример хорошего пароля - это парольная фраза:

```expert repose postwar anytime glimpse freestyle liability effects```

или

```}Rj;EtG:,M!bc4/|```

Как такой пароль запомнить? Никак! Пароли не нужно запоминать, их надо создавать и хранить в [менеджере паролей](https://keepassxc.org/download/). Хотя один помнить придётся — пароль от менеджера паролей.

{{% /alert %}}


##### Регистрируемся:
*   [Hetzner](https://www.hetzner.com) или [DigitalOcean](https://www.digitalocean.com) — хостинги виртуальных серверов. Какой выберете, в том и будут жить ваши данные и сервисы SelfPrivacy.
*   [NameCheap](https://www.namecheap.com/), [Porkbun](https://porkbun.com) или любой другой регистратор, для покупки личного адреса в интернете — домена, который будет указывать на сервер.
*   [CloudFlare](https://cloudflare.com) — DNS сервер, где работает ваш домен.
*   [Backblaze](https://www.backblaze.com/) — IaaS провайдер, для бесплатного хранения резервных копий ваших данных в зашифрованном виде.

Регистрация заурядна, но иногда проверка учётной записи длится несколько дней или требует дополнительных документов. Поэтому используйте настоящие документы и заполняйте всё аккуратно. Провайдеры так защищаются от спамеров, ничего личного)

**Обязательно включите дополнительную защиту учётных записей — второй фактор (MFA, 2FA).** Без этого простого шага ваши данные не будут в безопасности.

Я знаю, было сложно, но теперь ваши данные защищены лучше, чем у 95% пользователей. Можете собой гордиться! Я вот вами уже горжусь 🤗


Покупка домена
---------------------

Включили второй фактор? Я серьёзно! Тогда переходим к интересному!

**_Домен_ — это кусочек интернета, которому вы даёте имя.** Простор для творчества огромен, у вас есть 63 символа + .com .org .icu и еще несколько сотен доменов после точки. Можно выбрать просто по фамилии, например *ivanov.live* или *ivanov.health*, а можно и что-то творческое — *shit-happens.shop*

А теперь давайте купим домен, на примере https://www.namecheap.com
*тут видос*
![gif](/images/screencasts/nc-buy-domain.gif)

###### Рекомендации:
*   **Обязательно смотреть на цену ежегодного продления,** она может в разы превышать стоимость покупки.
*   **Нормальная цена домена $8-10 в год.** Самые дешёвые — китайские .icu и .cyou — $4-6.
*   **При регистрации домена обязательно указывать реальные почту и телефон, иначе регистрацию могут аннулировать.** И если вы не сможете продлить домен, система не будет работать так, как задумано.
*   Выбирайте хорошее имя, которое удобно и по телефону диктовать, и на деловой визитке указать.
*   Я уже говорил про второй фактор?


Подключение домена к DNS серверу
---------------------

После покупки, домен добавляем в CloudFlare:

*тут видос*

![gif](/images/screencasts/add-domain-to-cf.gif)

На примере домена ruleit.stream мы выбрали бесплатный тариф и получили имена серверов: **gail.ns.cloudflare.com** и **mattns.cloudflare.com**, которые надо прописать у своего регистратора. В нашем случае NameCheap:

*тут видос*

![gif](/images/screencasts/nc-to-cf.gif)

Заодно проверяем, что у нас включено автопродление и защита персональных данных — WhoisGuard. Через несколько минут или, в худшем случае, до 2-ух суток настройки применятся.


🔑 Создание ключей
------------------

**_API ключи_ — это почти то же самое, что и логин с паролем, только для программы, а не человека.** Мобильное приложение SelfPrivacy с их помощью управляет сервисами во всех учётных записях вместо вас. Удобно!

#### Как получить Cloudflare API Token

![Cloudflare token setup](resource:assets/images/gifs/CloudFlare.gif)
*сюда новый видос*

1. Переходим по [ссылке](https://dash.cloudflare.com/) и авторизуемся в ранее созданном аккаунте. 

2. В правом верхнем углу кликаем на иконку профиля (для мобильной версии сайта: в верхнем левом углу нажимаем кнопку **Меню** с тремя горизонтальными полосками). В выпавшем меню кликаем на пункт **My Profile**.

![My profile](resource:assets/images/pics/myprofile.png)
*сюда картинку отсюда https://git.selfprivacy.org/kherel/selfprivacy.org.app/src/branch/master/assets/images/pics/myprofile.png*

3. Нам предлагается на выбор, четыре категории настройки: **Preferences**, **Authentication**, **API Tokens**, **Sessions**. Выбираем **API Tokens**.

4. Самым первым пунктом видим кнопку **Create Token**. С полной уверенностью в себе и желанием обрести приватность, нажимаем на неё.

5. Спускаемся в самый низ и видим поле **Create Custom Token** и кнопку **Get Started** с правой стороны. Нажимаем.

6. В поле **Token Name** даём своему токену имя. Можете покреативить и отнестись к этому как к наименованию домашнего зверька :)

7. Далее, у нас **Permissions**. В первом поле выбираем **Zone**. Во втором поле, по центру, выбираем **DNS**. В последнем поле выбираем **Edit**.

8. Нажимаем на синюю надпись снизу **+ Add more** (сразу же под левым полем которое мы заполняли ранее). Вуаля, у нас появились новые поля. Заполняем по аналогии с предыдущим пунктом, в первом поле выбираем **Zone**, во-втором тоже **Zone**. А уже в третьем нажимаем на **Read**. Давайте сверим с тем, что у вас получилось:

![Permissions](resource:assets/images/pics/permissions.png)
*сюда картинку отсюда https://git.selfprivacy.org/kherel/selfprivacy.org.app/src/branch/master/assets/images/pics/permissions.png*

8. Далее смотрим на **Zone Resources**. Под этой надписью есть строка с двумя полями. В первом должно быть **Include**, а во втором — **Specific Zone**. Как только Вы выберите **Specific Zone**, справа появится ещё одно поле. В нём выбираем наш домен.

9. Листаем в самый низ и нажимаем на синюю кнопку **Continue to Summary**.

10. Проверяем, всё ли мы правильно выбрали. Должна присутствовать подобная строка: ваш.домен — **DNS:Edit, Zone:Read**.

11. Нажимаем **Create Token**.

12. Копируем созданный токен.


Hetzner
-------------

![gif](/images/screencasts/Hetzner.gif)

1. Переходим по [ссылке](https://console.hetzner.cloud/) и авторизуемся в ранее созданном аккаунте.

3. Заходим в созданный нами проект. Если такового нет — значит создаём.

4. *Наводим мышкой на боковую панель.* Она должна раскрыться, показав нам пункты меню. Нас интересует последний — **Security** (с иконкой ключика).

5. Далее, в верхней части интерфейса видим примерно такой список: **SSH KEYS, API TOKENS, CERTIFICATES, MEMBERS.** Нам нужен **API TOKENS**. Переходим по нему.

7. По середине в интерфейсе, нас будет ожидать кнопка **GENERATE API TOKEN**. Нажимаем на эту кнопку.

8. В поле **Description** даём нашему токену название (это может быть любое название, которое Вам нравится, сути оно не меняет).

9. Под полем **Description** видим возможность выбрать разрешения **PERMISSIONS**. Выбираем **Read & Write**.

10. Нажимаем **GENERATE API TOKEN**.

11. После этого, появиться окно с вашим ключём.


Backblaze
-------------

<details>
    <summary>Video manual</summary>
  {{< video src="Backblaze" muted="true" autoplay="true" autoplay="true" loop="true" >}}

</details>


1. Переходим по [ссылке](https://secure.backblaze.com/user_overview.htm) и авторизуемся в ранее созданном аккаунте.

2.  В левой части интерфейса выбираем **App Keys** в подкатегории **Account**

3. Нажимаем на синюю кнопку **Generate New Master Application Key**

4. Во всплывающем окне подтверждаем генерацию

5. Копируем _keyID_ и _applicationKey_ 


### 🎉 Поздравляю! Теперь Вы готовы использовать приватные сервисы.